import { ITransactionItem } from '../ITransactionItem.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { IBinding } from '../../../item/IBinding.js';
import { IContentChanged } from '../../InstanceServiceContainer.js';
export declare class TextContentChangeAction implements ITransactionItem {
    constructor(designItem: IDesignItem, newValue: string | IBinding | null, oldValue: string | IBinding | null);
    title?: string;
    get affectedItems(): IDesignItem[];
    undo(): IContentChanged[] | null;
    do(): IContentChanged[] | null;
    designItem: IDesignItem;
    newValue: any;
    oldValue: any;
    mergeWith(other: ITransactionItem): boolean;
}
